summaryrefslogtreecommitdiff
path: root/dev-python/portalocker
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-14 05:43:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-14 05:43:47 +0000
commit2eb9743ff9bb1999fa3671f852c70a86f494fb4b (patch)
tree44886f9cdd1d538fe78b52f76fb1f173a01c03be /dev-python/portalocker
parent1f5493d8b2fc923040b0225a56e6d9571ac9a6a1 (diff)
downloadbaldeagleos-repo-2eb9743ff9bb1999fa3671f852c70a86f494fb4b.tar.gz
baldeagleos-repo-2eb9743ff9bb1999fa3671f852c70a86f494fb4b.tar.xz
baldeagleos-repo-2eb9743ff9bb1999fa3671f852c70a86f494fb4b.zip
Adding metadata
Diffstat (limited to 'dev-python/portalocker')
-rw-r--r--dev-python/portalocker/Manifest1
-rw-r--r--dev-python/portalocker/portalocker-2.10.1.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/portalocker/Manifest b/dev-python/portalocker/Manifest
index 659490fb5de7..38ebd4207f9f 100644
--- a/dev-python/portalocker/Manifest
+++ b/dev-python/portalocker/Manifest
@@ -1 +1,2 @@
DIST portalocker-2.10.0.gh.tar.gz 34084 BLAKE2B 9efb130859002a4a6bb4c18b2fad293b6cfe3344402b7442be4d4d1b17ff837ff45a39ebb5e50db09ce2dcc7c902b72fa9d9f64625e772be1150d5659f2eafaa SHA512 79b60472ca589e6e696203f829eae2d66c11fca4ee2c7280aad91395f2cc2db6a1c7ae131d7a4945b2a2455ad62829a8a3163c628a74ec46a0f1564ea27d50e7
+DIST portalocker-2.10.1.gh.tar.gz 34084 BLAKE2B c4b8b0f42e25c28dd73f73459f2425a355c1be7fb6d9e601c8f829b76a421b66981c96d948513a92b0d9746f0d4b4c9423eb671e160629d421b6720bb3c81883 SHA512 cdb5db6eab2974a8fef5628656b9e66bd1907d3010e28071c5a308d52a7ad28f838f3cb90e8bc258b2f258b8b999438e90972751e4d29b1769056db4f9ab9f8b
diff --git a/dev-python/portalocker/portalocker-2.10.1.ebuild b/dev-python/portalocker/portalocker-2.10.1.ebuild
new file mode 100644
index 000000000000..d622866547a9
--- /dev/null
+++ b/dev-python/portalocker/portalocker-2.10.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A library for Python file locking"
+HOMEPAGE="
+ https://github.com/WoLpH/portalocker/
+ https://portalocker.readthedocs.io/
+ https://pypi.org/project/portalocker/
+"
+SRC_URI="
+ https://github.com/WoLpH/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ dev-python/redis[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-6.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Disable code coverage in tests.
+ sed -i '/^ *--cov.*$/d' pytest.ini || die
+}
+
+pkg_postinst() {
+ optfeature "redis support" dev-python/redis
+}